Skip site navigation (1) Skip section navigation (2)

RPM or RPMS for RH9.0

From: Gaetano Mendola <mendola(at)bigfoot(dot)com>
To: "pgsql-admin(at)postgresql(dot)org" <pgsql-admin(at)postgresql(dot)org>
Subject: RPM or RPMS for RH9.0
Date: 2005-06-24 15:00:03
Message-ID: 42BC1FF2.4000605@bigfoot.com (view raw or flat)
Thread:
Lists: pgsql-admin
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi all,

rebuilding the 8.0.3 RPMS I'm getting:

checking krb5.h usability... no
checking krb5.h presence... no
checking for krb5.h... no
configure: error: header file <krb5.h> is required for Kerberos 5

and trying to install the RPMs:


warning: postgresql-8.0.3-1PGDG.i686.rpm: V3 DSA signature: NOKEY, key ID 748f7d0e
error: Failed dependencies:
        libpq.so.3 is needed by postgresql-contrib-8.0.3-1PGDG
        libecpg.so.4 is needed by postgresql-libs-8.0.3-1PGDG
        libpgtypes.so.1 is needed by postgresql-libs-8.0.3-1PGDG
        libpq.so.3 is needed by postgresql-libs-8.0.3-1PGDG
    Suggested resolutions:
        postgresql-libs-7.3.2-3.i386.rpm


I have seen someone alredy post this problem for 8.0.2 but I didn't see the
solution, now the same problem happen with 8.0.3.


I installed succesfull the RPMS with:

rpm -Uvh --nodeps *.rpm
warning: postgresql-8.0.3-1PGDG.i686.rpm: V3 DSA signature: NOKEY, key ID 748f7d0e
Preparing...                ########################################### [100%]
   1:postgresql-test        ########################################### [ 10%]
   2:postgresql             ########################################### [ 20%]
   3:postgresql-contrib     ########################################### [ 30%]
   4:postgresql-devel       ########################################### [ 40%]
   5:postgresql-docs        ########################################### [ 50%]
   6:postgresql-jdbc        ########################################### [ 60%]
   7:postgresql-libs        ########################################### [ 70%]
   8:postgresql-pl          ########################################### [ 80%]
   9:postgresql-python      ########################################### [ 90%]
  10:postgresql-server      ########################################### [100%]


indeed I do think that dependencies are bogus.


Regards
Gaetano Mendola

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (MingW32)
Comment: Using GnuPG with Thunderbird - http://enigmail.mozdev.org

iD8DBQFCvB/y7UpzwH2SGd4RAjkOAJ9gfmYcES/l+2TmPNA9/vcUfcBpkwCg3sFU
4F5Be7V9ODfFJi7V27Dzz6o=
=hltv
-----END PGP SIGNATURE-----


Responses

pgsql-admin by date

Next:From: KÖPFERL RobertDate: 2005-06-24 15:26:13
Subject: Re: symlinking pg_xlog
Previous:From: Alvaro HerreraDate: 2005-06-24 14:56:56
Subject: Re: psql copy errors

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group